Docs navigation
File Transfers

Get task upload status

Get task upload status

GET/v2/tasks/{resource_id}/files/uploads/{transfer_id}

Poll until ready before attaching the file to a message or presenting it as imported.

Path Parameters

resource_idstring · uuidrequired
transfer_idstring · uuidrequired
Request
curl --request GET \
  --url https://api.brainbaselabs.com/v2/tasks/{resource_id}/files/uploads/{transfer_id} \
  --header 'Authorization: Bearer YOUR_API_KEY'
Response
json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "direction": "upload",
  "path": "string",
  "size_bytes": 0,
  "status": "pending_upload",
  "bytes_transferred": 0,
  "stored": false,
  "error_code": "string",
  "error": "string",
  "entry": {
    "name": "string",
    "path": "string",
    "is_dir": true,
    "size": 0,
    "mod_time": "string",
    "mode": "string",
    "permissions": "string",
    "owner": "string",
    "group": "string"
  },
  "upload": {
    "bucket": "string",
    "object_key": "string",
    "endpoint": "string",
    "signature": "string",
    "expires_at": "2019-08-24T14:15:22Z"
  },
  "download_url": "string"
}